using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VT.FW.DB.Dapper;

namespace Mall.Repository.Education
{
    /// <summary>
    /// 课程分类仓储层
    /// </summary>
    public class RB_Think_Course_CategoryRepository : BaseRepository<Model.Entity.Education.RB_Course_Category>
    {
        /// <summary>
        /// 获取课程分类列表
        /// </summary>
        /// <param name="query"></param>
        /// <returns></returns>
        public List<Model.Entity.Education.RB_Course_Category> GetCourseCategoryListRepository(Model.Entity.Education.RB_Course_Category query)
        {
            StringBuilder builder = new StringBuilder();
            var parameters = new DynamicParameters();
            builder.AppendFormat(@"
SELECT * 
FROM RB_Course_Category
WHERE 1=1 
");
            builder.AppendFormat(" AND {0}=0 ", nameof(Model.Entity.Education.RB_Course_Category.Status));
            if (query != null)
            {
 
            }
            return Get<Model.Entity.Education.RB_Course_Category>(builder.ToString(), parameters).ToList();
        }

        
    }
}
